import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteChannelPolicyRequest,
  DeleteChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelPolicyCommandInput
  extends DeleteChannelPolicyRequest {}
export interface DeleteChannelPolicyCommandOutput
  extends DeleteChannelPolicyResponse,
    __MetadataBearer {}
export declare class DeleteChannelPolicyCommand extends $Command<
  DeleteChannelPolicyCommandInput,
  DeleteChannelPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: DeleteChannelPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteChannelPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteChannelPolicyCommandInput, DeleteChannelPolicyCommandOutput>;
  private serialize;
  private deserialize;
}
