import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteOriginEndpointPolicyRequest,
  DeleteOriginEndpointPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteOriginEndpointPolicyCommandInput
  extends DeleteOriginEndpointPolicyRequest {}
export interface DeleteOriginEndpointPolicyCommandOutput
  extends DeleteOriginEndpointPolicyResponse,
    __MetadataBearer {}
export declare class DeleteOriginEndpointPolicyCommand extends $Command<
  DeleteOriginEndpointPolicyCommandInput,
  DeleteOriginEndpointPolicyCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: DeleteOriginEndpointPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteOriginEndpointPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteOriginEndpointPolicyCommandInput,
    DeleteOriginEndpointPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
