import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetChannelGroupRequest,
  GetChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelGroupCommandInput extends GetChannelGroupRequest {}
export interface GetChannelGroupCommandOutput
  extends GetChannelGroupResponse,
    __MetadataBearer {}
export declare class GetChannelGroupCommand extends $Command<
  GetChannelGroupCommandInput,
  GetChannelGroupCommandOutput,
  MediaPackageV2ClientResolvedConfig
> {
  readonly input: GetChannelGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetChannelGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: MediaPackageV2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetChannelGroupCommandInput, GetChannelGroupCommandOutput>;
  private serialize;
  private deserialize;
}
